Bug 452798 - ruby: str_buf_cat regression in -p230
ruby: str_buf_cat regression in -p230
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ruby (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 452809 452810
  Show dependency treegraph
 
Reported: 2008-06-25 02:11 EDT by Tomas Hoger
Modified: 2008-06-26 04:31 EDT (History)
0 users

See Also:
Fixed In Version: 1.8.6.230-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-26 04:31:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-06-25 02:11:19 EDT
Description of problem:
Upstream ruby 1.8.6-p230 introduced a regression that may cause ruby to SEGV
when performing string operations.  See:

http://www.openwall.com/lists/oss-security/2008/06/24/3
https://bugzilla.redhat.com/show_bug.cgi?id=450821#c16

Version-Release number of selected component (if applicable):
ruby-1.8.6.230-1.fc8.x86_64

Steps to Reproduce:
ruby -ve 'str = "A"*(2**16) ; 0.upto(10) { str << str ; puts str.size }'
  
Actual results:
$ ruby -ve 'str = "A"*(2**16) ; 0.upto(10) { str << str ; puts str.size }'
ruby 1.8.6 (2008-06-20 patchlevel 230) [x86_64-linux]
131072
262144
-e:1: [BUG] Segmentation fault
ruby 1.8.6 (2008-06-20) [x86_64-linux]

Aborted


Expected results:
$ ruby -ve 'str = "A"*(2**16) ; 0.upto(10) { str << str ; puts str.size }'
ruby 1.8.6 (2008-03-03 patchlevel 114) [x86_64-linux]
131072
262144
524288
1048576
2097152
4194304
8388608
16777216
33554432
67108864
134217728


Additional info:
http://svn.ruby-lang.org/cgi-bin/viewvc.cgi?view=rev&revision=17530 was reported
to resolve this problem.
Comment 1 Akira TAGOH 2008-06-25 04:21:45 EDT
Fixed in 1.8.6.230-2.fc8.
Comment 2 Fedora Update System 2008-06-25 04:29:33 EDT
ruby-1.8.6.230-2.fc8 has been submitted as an update for Fedora 8
Comment 3 John W. Lockhart 2008-06-25 13:01:10 EDT
Although this case (comment 0) has been fixed, ruby 1.8.6.230 -1 and -2 both
SEGV with Rails 2.0.2 (from F8) and 2.1.0 (from upstream via gem) on F8/x86_64.
 'ruby script/server' on a Rails project reproduces this.

Might this be related, or should it be a separate report?
Comment 4 Akira TAGOH 2008-06-25 22:18:21 EDT
That's different issue. the root cause seems to be the change in -p190. the
discussion is ongoing in upstream. FYI.
Comment 5 Fedora Update System 2008-06-26 04:31:43 EDT
ruby-1.8.6.230-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.